This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1052864 - (CVE-2013-7291) CVE-2013-7291 memcached: remote DoS (crash) via a request that triggers "unbounded key print"
CVE-2013-7291 memcached: remote DoS (crash) via a request that triggers "unbo...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130108,reported=2...
: Security
Depends On: 1052866 1052865 1052867 1159446
Blocks: 1052870
  Show dependency treegraph
 
Reported: 2014-01-14 04:16 EST by Ratul Gupta
Modified: 2015-10-15 14:10 EDT (History)
12 users (show)

See Also:
Fixed In Version: memcached 1.4.17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2014-01-14 04:16:05 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-7291 to the following vulnerability:

Name: CVE-2013-7291
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-7291
Assigned: 20140110
Reference: https://code.google.com/p/memcached/issues/detail?id=306
Reference: https://code.google.com/p/memcached/wiki/ReleaseNotes1417

memcached before 1.4.17, when running in verbose mode, allows remote attackers to cause a denial of service (crash) via a request that triggers an "unbounded key print" during logging, related to an issue that was "quickly grepped out of the source tree," a different vulnerability than CVE-2013-0179 and CVE-2013-7290.
Comment 2 Ratul Gupta 2014-01-14 04:20:39 EST
Created memcached tracking bugs for this issue:

Affects: fedora-all [bug 1052865]
Affects: epel-5 [bug 1052866]
Comment 3 Vincent Danen 2014-01-15 17:04:15 EST
The fix for this CVE is here:

https://github.com/memcached/memcached/commit/fbe823d9a61b5149cd6e3b5e17bd28dd3b8dd760

What is a bit confusing is why this single patch received two CVEs, but it's due to the comment in the upstream bug here:

"Merged your patch, and fixed two more of these instances on my own (the one you pointed out and one I quickly grepped out of the source tree)."

Which seems like an odd reason to have a second CVE, but there you go.
Comment 4 Vincent Danen 2014-01-15 17:04:57 EST
As per the CVE-2013-0179 bug and re-posting because of the close similarities of the flaws (from https://bugzilla.redhat.com/show_bug.cgi?id=895054#c2 ):

However, I'm not sure if we would consider this a security flaw.  For one, you need to run memcached with -vv (probably not used in production but for testing).

It would also indicate that this would be a local-only flaw (or from other trusted source) as the docs explicitly say that you shouldn't expose memcached to untrusted users:

https://code.google.com/p/memcached/wiki/NewConfiguringServer#Networking

In particular:

"Memcached does not spend much, if any, effort in ensuring its defensibility from random internet connections. So you must not expose memcached directly to the internet, or otherwise any untrusted users. Using SASL authentication here helps, but should not be totally trusted."

I guess this could be considered a low-impact security flaw due to the conditions required to make an attack meaningful:

- start memcached with -vv (not the default)
- make it available to untrusted users (not recommended as per docs)
- memcached runs non-root and with FORTIFY_SOURCE/SSP any buffer overflow should be rendered a simple DoS


Statement:

The Red Hat Security Response Team has rated this issue as having low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 6 Fedora Update System 2014-02-02 21:42:49 EST
memcached-1.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-02-02 21:49:14 EST
memcached-1.4.17-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.